<?php
header('Content-type: application/json');
$return = ['error' => null];
if(!isset($_POST["ruta"]) || !isset($_POST["nombre"])){
    $return["error"]="Error en variables";
    
}else{
    $target_dir = "../news/".$_POST["ruta"]."/";
    $target_file = $target_dir . $_POST["nombre"];
    if (!file_exists($target_file)) {
        $return["error"]="El archivo no existe";
    }else if(!unlink($target_file)){
        $return["error"]="Se produjo un error al eliminar el archivo";
    }
    
}


echo json_encode($return);